<?php
/**
 * Template part for displaying posts
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package qube
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class( 'style-five' ); ?>>
	<div class="holder">
	    <?php if ( true == qube_global_var( 'display_categries', '', false ) ) : ?>
		<div class="category-list">
			<?php
			$category_detail = get_the_category( get_the_id() );
			$result          = '';
			foreach ( $category_detail as $item ) :
				$category_link = get_category_link( $item->cat_ID );
				$result       .= '<span>' . $item->name . '</span>';
			endforeach;
			echo wp_kses( $result, 'post' );
			?>
		</div><!-- .category-list -->
			<?php endif; ?>
		<?php if ( has_post_thumbnail() ) { ?>
			<div class="post-thumbnail">
				<?php if ( '' !== get_the_post_thumbnail() && ! is_single() ) : ?>
					<a class="placeholder" href="<?php the_permalink(); ?>" style="background-image:url('<?php esc_url( the_post_thumbnail_url( 'full' ) ); ?>')"></a>
				<?php endif; ?>
			</div><!-- .post-thumbnail -->
		<?php } ?>
		<header class="entry-header">
			<?php the_title( '<h3 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h3>' ); ?>
		</header><!-- .entry-header -->
		<div class="entry-content">
			<?php echo wp_kses( get_the_excerpt() . '...', 'post' ); ?>
		</div><!-- .entry-content -->
	</div><!-- .holder -->
	<div class="entry-meta">
	    
		<div class="holder">
                            
                                <div class="data">
                                    <div class="meta">
                                 <?php if ( true == qube_global_var( 'display_date', '', false ) ) : ?>
                                    <span class="published-on"> <?php echo qube_global_var( 'prefix_date', '', false ); ?> <span data-hover="<?php echo get_the_date();?>"><?php echo get_the_date();?></span></span>
                              <?php endif; ?>

                        <?php if ( true == qube_global_var( 'display_author_information', '', false ) ) : ?>
    						<span class="byline"> <?php echo qube_global_var( 'prefix_author', '', false ); ?> <a href="<?php echo esc_url( get_author_posts_url( $post->post_author ) ); ?>">
    						<?php echo get_the_author_meta('display_name'); ?></a></span>
    						<?php endif; ?>


    		</div>
			</div>
		</div>	
	</div><!-- .entry-meta -->
</article><!-- #post-## -->
