<?php
/**
 * Template part for displaying posts
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package qube
 */

?>
<article id="post-<?php the_ID(); ?>" <?php post_class( 'single-post' ); ?>>
	<header class="entry-header">
		<?php
		if ( is_single() ) :
			the_title( '<h1 class="entry-title">', '</h1>' );
		else :
			the_title( '<h3 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h3>' );
		endif;
		?>
	</header><!-- .entry-header -->
	<?php
	if ( 'post' === get_post_type() ) :
		?>
			<div class="entry-meta">
		<div class="holder">
                            
                                <div class="data">
                                    <div class="meta">
                                        <?php if ( true == qube_global_var( 'display_date', '', false ) ) : ?>
                                        <span class="published-on"><span class="ti-calendar"></span> <?php echo qube_global_var( 'prefix_date', '', false ); ?> <a href="<?php the_permalink();?>" rel="bookmark"><span data-hover="<?php echo get_the_date();?>"><?php echo get_the_date();?></span></a></span>
    						<?php endif; ?>
    						<?php if ( true == qube_global_var( 'display_author_information', '', false ) ) : ?>
    						<?php $username = get_userdata( $post->post_author ); ?>
    						<span class="byline"><span class="ti-user"></span> <?php echo qube_global_var( 'prefix_author', '', false ); ?> <a href="<?php echo esc_url( get_author_posts_url( $post->post_author ) ); ?>"><span data-hover="<?php echo esc_html( $username->display_name ); ?>"><?php echo esc_html( $username->display_name ); ?></span></a></span> </div>
    						<?php endif; ?>
			</div>
		</div>	</div>
	<?php endif; ?>
	<?php if ( '' !== get_the_post_thumbnail() ) : ?>
		<div class="post-thumbnail">
			<?php the_post_thumbnail( 'full' ); ?>
		</div><!-- .post-thumbnail -->
	<?php endif; ?>
	<div class="entry-main">
		<div class="entry-content default-page">
			<?php
			the_content(
				sprintf(
					wp_kses(
						/* translators: %s: Name of current post. */
						__( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'qube' ),
						array(
							'span' => array(
								'class' => array(),
							),
						)
					), the_title( '<span class="screen-reader-text">"', '"</span>', false )
				)
			);
			wp_link_pages(
				array(
					'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'qube' ),
					'after'  => '</div>',
				)
			);
			?>
			<div class="clearfix"></div>
		</div><!-- .entry-content -->
	</div><!-- .entry-main -->
</article><!-- #post-## -->
